<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
    <NoWarn>$(NoWarn);1591;8618;1803;</NoWarn>
  </PropertyGroup>
  
  <ItemGroup>
    <PackageReference Include="FluentValidation.AspNetCore" Version="11.3.0" />
    <PackageReference Include="Fw.Utility.Client" Version="1.0.0" />
    <PackageReference Include="JiebaAspNetCore.Segmenter" Version="1.0.1" />
    <PackageReference Include="Mapster.DependencyInjection" Version="1.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.10" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.StackExchangeRedis" Version="8.0.10" />
    <PackageReference Include="MiniExcel" Version="1.34.2" />
    <PackageReference Include="Serilog.Sinks.File" Version="6.0.0" />
    <PackageReference Include="Serilog.Sinks.Grafana.Loki" Version="8.3.0" />
    <PackageReference Include="Serilog.Sinks.MongoDB" Version="6.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.8.1" />
    <PackageReference Include="Quartz.AspNetCore" Version="3.8.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Hotline.Application\Hotline.Application.csproj" />
    <ProjectReference Include="..\Hotline.Logger\Hotline.Logger.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Template\AssignmentForm.doc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Remove="logs\**" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Controllers\OrderControlls\" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Controllers\Order\OrderComplementController.cs" />
    <Compile Remove="logs\**" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Remove="logs\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="logs\**" />
  </ItemGroup>

</Project>
